Index: src/main/java/com/example/autopartz/config/WebSecurityConfig.java
===================================================================
--- src/main/java/com/example/autopartz/config/WebSecurityConfig.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/config/WebSecurityConfig.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -28,5 +28,5 @@
         http.csrf().disable()
                 .authorizeRequests()
-                .antMatchers("/", "/products", "/services", "/filtered", "/login", "/register","/registerWarehouseman","/finishRegister","/test/*").permitAll()
+                .antMatchers("/", "/products", "/services", "/filtered", "/login", "/register","/registerWarehouseman","/finishRegister","/test/*","/viewUsers","/approve/*").permitAll()
                 .antMatchers("/orders","/repairs","/reviews","/part/*","/currentOrder").hasRole("CLIENT")
                 .anyRequest()
Index: src/main/java/com/example/autopartz/controller/AdminController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/AdminController.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
+++ src/main/java/com/example/autopartz/controller/AdminController.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -0,0 +1,52 @@
+package com.example.autopartz.controller;
+
+import com.example.autopartz.model.Role;
+import com.example.autopartz.model.User;
+import com.example.autopartz.model.Warehouseman;
+import com.example.autopartz.repository.WarehousemanRepository;
+import com.example.autopartz.service.UserService;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PathVariable;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+
+import javax.servlet.http.HttpServletResponse;
+import java.io.IOException;
+import java.time.LocalDate;
+import java.util.List;
+import java.util.Objects;
+
+@Controller
+@RequestMapping("/")
+public class AdminController {
+    private final UserService userService;
+    private final WarehousemanRepository warehousemanRepository;
+
+    public AdminController(UserService userService, WarehousemanRepository warehousemanRepository) {
+        this.userService = userService;
+        this.warehousemanRepository = warehousemanRepository;
+    }
+
+    @GetMapping("/viewUsers")
+    public String getAllUsers(Model model){
+        List<User> pendingList = userService.findAllUsers().stream().filter(u->u.getAuthorities().contains(Role.ROLE_PENDING_DELIVERYMAN) || u.getAuthorities().contains(Role.ROLE_PENDING_WAREHOUSEMAN)).toList();
+        model.addAttribute("users", pendingList);
+        model.addAttribute("bodyContent", "viewUsers");
+        return "master-template";
+    }
+    @PostMapping("/approve/{id}")
+    public void approve(@PathVariable Integer id, HttpServletResponse response){
+        if(Objects.equals(userService.findById(id).getAuthorities().stream().findFirst().get(),Role.ROLE_PENDING_WAREHOUSEMAN)){
+            Warehouseman wh = (Warehouseman) userService.findById(id);
+            wh.setEmployed_from(LocalDate.now());
+            warehousemanRepository.save(wh);
+            try {
+                response.sendRedirect("/viewUsers");
+            } catch (IOException e) {
+                throw new RuntimeException(e);
+            }
+        }
+    }
+}
Index: src/main/java/com/example/autopartz/controller/HomeController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/HomeController.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/controller/HomeController.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -102,5 +102,5 @@
     public void handleLogin(@RequestParam String username, @RequestParam String password){
         User u = loginService.login(username,password);
-        System.out.println(u.getName_user());
+        System.out.println(u.getName());
     }
     @PostMapping("/register")
Index: src/main/java/com/example/autopartz/controller/PartController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/PartController.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/controller/PartController.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -50,6 +50,7 @@
     }
     @PostMapping("/repairshopdelivery")
-    public void setRepairShopDelivery(@RequestParam String name, HttpServletResponse response){
+    public void setRepairShopDelivery(@RequestParam String name, HttpServletResponse response, HttpSession session){
         // insert into project.repair (vin, id_repair_shop, id_service_book) values (1111,3,1)
+        session.removeAttribute("order");
         try {
             response.sendRedirect("/");
@@ -59,6 +60,7 @@
     }
     @PostMapping("/homedelivery")
-    public void setHomeDelivery(@RequestParam String address, HttpServletResponse response){
+    public void setHomeDelivery(@RequestParam String address, HttpServletResponse response, HttpSession session){
         // insert into delivery (delivery_status, delivery_address,id_user,id_order) values ('in progress','Aerodrom',4,1)
+        session.removeAttribute("order");
         try {
             response.sendRedirect("/");
Index: src/main/java/com/example/autopartz/controller/UserController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/UserController.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/controller/UserController.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -28,5 +28,5 @@
     @GetMapping("orders")
     public String getOrdersForUser(Model model, HttpServletRequest request){
-        Integer id = userService.findByUsername(request.getRemoteUser()).getID_user();
+        Integer id = userService.findByUsername(request.getRemoteUser()).getId();
         model.addAttribute("userOrders",ordersForUserRepository.findAllByUserid(id));
         model.addAttribute("bodyContent","ordersForUser");
@@ -35,5 +35,5 @@
     @GetMapping("repairs")
     public String getRepairsForUser(Model model, HttpServletRequest request){
-        Integer id = userService.findByUsername(request.getRemoteUser()).getID_user();
+        Integer id = userService.findByUsername(request.getRemoteUser()).getId();
         model.addAttribute("userRepairs",repairsForUserRepository.findAllByUserid(id));
         model.addAttribute("bodyContent","repairsForUser");
@@ -42,5 +42,5 @@
     @GetMapping("reviews")
     public String getReviewsForUser(Model model,HttpServletRequest request){
-        Integer id = userService.findByUsername(request.getRemoteUser()).getID_user();
+        Integer id = userService.findByUsername(request.getRemoteUser()).getId();
         model.addAttribute("userReviews",reviewsForUserRepository.findAllByUserid(id));
         model.addAttribute("bodyContent","reviewsForUser");
Index: src/main/java/com/example/autopartz/model/Administrator.java
===================================================================
--- src/main/java/com/example/autopartz/model/Administrator.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/model/Administrator.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -27,5 +27,5 @@
         if (o == null || Hibernate.getClass(this) != Hibernate.getClass(o)) return false;
         Administrator that = (Administrator) o;
-        return ID_user != null && Objects.equals(ID_user, that.ID_user);
+        return id != null && Objects.equals(id, that.id);
     }
 
Index: src/main/java/com/example/autopartz/model/Client.java
===================================================================
--- src/main/java/com/example/autopartz/model/Client.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/model/Client.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -28,5 +28,5 @@
         if (o == null || Hibernate.getClass(this) != Hibernate.getClass(o)) return false;
         Client client = (Client) o;
-        return ID_user != null && Objects.equals(ID_user, client.ID_user);
+        return id != null && Objects.equals(id, client.id);
     }
 
Index: src/main/java/com/example/autopartz/model/Deliveryman.java
===================================================================
--- src/main/java/com/example/autopartz/model/Deliveryman.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/model/Deliveryman.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -35,5 +35,5 @@
         if (o == null || Hibernate.getClass(this) != Hibernate.getClass(o)) return false;
         Deliveryman that = (Deliveryman) o;
-        return ID_user != null && Objects.equals(ID_user, that.ID_user);
+        return id != null && Objects.equals(id, that.id);
     }
 
Index: src/main/java/com/example/autopartz/model/User.java
===================================================================
--- src/main/java/com/example/autopartz/model/User.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/model/User.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -25,8 +25,10 @@
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    Integer ID_user;
+    @Column(name = "ID_user")
+    Integer id;
     String username;
     String email;
-    String name_user;
+    @Column(name = "name_user")
+    String name;
     @Column(name = "password_user")
     String password;
@@ -39,5 +41,5 @@
     public User(String username, String name, String email, String password, String number) {
         this.username = username;
-        this.name_user = name;
+        this.name = name;
         this.email = email;
         this.password = password;
@@ -51,5 +53,5 @@
         if (o == null || Hibernate.getClass(this) != Hibernate.getClass(o)) return false;
         User user = (User) o;
-        return ID_user != null && Objects.equals(ID_user, user.ID_user);
+        return id != null && Objects.equals(id, user.id);
     }
 
Index: src/main/java/com/example/autopartz/model/Warehouseman.java
===================================================================
--- src/main/java/com/example/autopartz/model/Warehouseman.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/model/Warehouseman.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -39,5 +39,5 @@
         if (o == null || Hibernate.getClass(this) != Hibernate.getClass(o)) return false;
         Warehouseman that = (Warehouseman) o;
-        return ID_user != null && Objects.equals(ID_user, that.ID_user);
+        return id != null && Objects.equals(id, that.id);
     }
 
@@ -48,5 +48,5 @@
     @Override
     public Collection<? extends GrantedAuthority> getAuthorities() {
-        if(employed_from==defaultEmployedFrom)
+        if(Objects.equals(employed_from, defaultEmployedFrom))
             return Collections.singletonList(Role.ROLE_PENDING_WAREHOUSEMAN);
         else
Index: src/main/java/com/example/autopartz/model/views/ReviewsForUser.java
===================================================================
--- src/main/java/com/example/autopartz/model/views/ReviewsForUser.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/model/views/ReviewsForUser.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -28,4 +28,5 @@
     Integer userid;
     Integer rating;
+    Integer orderid;
     String rcomment;
     String rsname;
Index: src/main/java/com/example/autopartz/repository/UserRepository.java
===================================================================
--- src/main/java/com/example/autopartz/repository/UserRepository.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/repository/UserRepository.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -3,6 +3,8 @@
 import com.example.autopartz.model.User;
 import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.security.core.GrantedAuthority;
 import org.springframework.stereotype.Repository;
 
+import java.util.Collection;
 import java.util.List;
 
Index: src/main/java/com/example/autopartz/repository/WarehousemanRepository.java
===================================================================
--- src/main/java/com/example/autopartz/repository/WarehousemanRepository.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
+++ src/main/java/com/example/autopartz/repository/WarehousemanRepository.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -0,0 +1,7 @@
+package com.example.autopartz.repository;
+
+import com.example.autopartz.model.Warehouseman;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface WarehousemanRepository extends JpaRepository<Warehouseman,Integer> {
+}
Index: src/main/java/com/example/autopartz/service/UserService.java
===================================================================
--- src/main/java/com/example/autopartz/service/UserService.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/service/UserService.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -8,4 +8,4 @@
     List<User> findAllUsers();
     User findByUsername(String username);
-
+    User findById(Integer id);
 }
Index: src/main/java/com/example/autopartz/service/impl/UserServiceImpl.java
===================================================================
--- src/main/java/com/example/autopartz/service/impl/UserServiceImpl.java	(revision 7d439571c01d0fa2a353ddb15d617c2037647352)
+++ src/main/java/com/example/autopartz/service/impl/UserServiceImpl.java	(revision 676144b5d7767da390db57a3951adafca68b2fc4)
@@ -1,4 +1,5 @@
 package com.example.autopartz.service.impl;
 
+import com.example.autopartz.model.Role;
 import com.example.autopartz.model.User;
 import com.example.autopartz.repository.UserRepository;
@@ -6,4 +7,5 @@
 import org.springframework.stereotype.Service;
 
+import java.util.Collections;
 import java.util.List;
 
@@ -25,3 +27,8 @@
         return userRepository.findAllByUsername(username).stream().findFirst().orElseThrow(RuntimeException::new);
     }
+
+    @Override
+    public User findById(Integer id) {
+        return userRepository.findById(id).get();
+    }
 }