Index: src/main/java/mk/ukim/finki/busngo/model/enums/VrabotenType.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/model/enums/VrabotenType.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
+++ src/main/java/mk/ukim/finki/busngo/model/enums/VrabotenType.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -0,0 +1,7 @@
+package mk.ukim.finki.busngo.model.enums;
+
+public enum VrabotenType {
+    KONDUKTER,
+    VOZAC,
+    ADMIN
+}
Index: src/main/java/mk/ukim/finki/busngo/model/exceptions/UnauthorizedAccess.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/model/exceptions/UnauthorizedAccess.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
+++ src/main/java/mk/ukim/finki/busngo/model/exceptions/UnauthorizedAccess.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -0,0 +1,7 @@
+package mk.ukim.finki.busngo.model.exceptions;
+
+public class UnauthorizedAccess extends RuntimeException {
+    public UnauthorizedAccess(String message) {
+        super(message);
+    }
+}
Index: src/main/java/mk/ukim/finki/busngo/repository/BiletRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/repository/BiletRepository.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/repository/BiletRepository.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -15,3 +15,4 @@
 //    List<Bilet> findAllByKorisnikByPatnikKId(Korisnik korisnik);
     Optional<Bilet> findByBIdAndAndKorisnikByPatnikKId(Long bid, Patnik patnik);
+//    List<Bilet> findAllByKorisnikByPatnikKIdAndBStatus(Patnik patnik, BILET_STATUS status);
 }
Index: src/main/java/mk/ukim/finki/busngo/repository/VozenjeRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/repository/VozenjeRepository.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/repository/VozenjeRepository.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -3,4 +3,5 @@
 import mk.ukim.finki.busngo.model.entities.Patnik;
 import mk.ukim.finki.busngo.model.entities.Vozenje;
+import mk.ukim.finki.busngo.model.enums.VOZENJE_STATUS;
 import org.springframework.data.jpa.repository.JpaRepository;
 
@@ -9,3 +10,4 @@
 public interface VozenjeRepository extends JpaRepository<Vozenje, Long> {
     List<Vozenje> findAllByKorisnikByPatnikKId(Patnik patnik);
+    List<Vozenje> findAllByKorisnikByPatnikKIdAndAndVozenjeStatus(Patnik patnik, VOZENJE_STATUS vozenjeStatus);
 }
Index: src/main/java/mk/ukim/finki/busngo/service/AuthService.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/AuthService.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/AuthService.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -2,8 +2,10 @@
 
 import mk.ukim.finki.busngo.model.entities.Korisnik;
+import mk.ukim.finki.busngo.model.enums.VrabotenType;
 
 public interface AuthService {
     Korisnik login(String email, String password);
     Korisnik registerPatnik(String ime, String email, String password, String confirmPassword, String address, String telefon);
+    Korisnik registerVraboten(String ime, String email, String password, String confirmPassword, String address, String telefon, VrabotenType type, Double salary);
 
 }
Index: src/main/java/mk/ukim/finki/busngo/service/BiletService.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/BiletService.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/BiletService.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -16,4 +16,5 @@
 
     List<Bilet> findAllByPatnikEmail(String email);
+//    List<Bilet> findAllByPatnikEmailACTIVE(String email);
     Bilet findBybIdAndPatnikEmail(Long bId, String email);
 
Index: src/main/java/mk/ukim/finki/busngo/service/InstancaNaLinijaService.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/InstancaNaLinijaService.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/InstancaNaLinijaService.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -11,5 +11,5 @@
     Instancanalinija findById(Long inlId);
     Instancanalinija start(Long liId, String a_registracija, String email);
-    Instancanalinija end(Long inlId);
+    Instancanalinija end(Long inlId, String email);
     List<Instancanalinija> findAllActive();
 
Index: src/main/java/mk/ukim/finki/busngo/service/KaznaService.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/KaznaService.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/KaznaService.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -8,3 +8,5 @@
     List<Kazna> findAll();
     List<Kazna> findAllByKontrolaId(Long kontrolaId);
+    Kazna pay(Long kaznaId);
+    Kazna findById(Long id);
 }
Index: src/main/java/mk/ukim/finki/busngo/service/KaznaZaRegistriranService.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/KaznaZaRegistriranService.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/KaznaZaRegistriranService.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -1,4 +1,5 @@
 package mk.ukim.finki.busngo.service;
 
+import mk.ukim.finki.busngo.model.entities.Kazna;
 import mk.ukim.finki.busngo.model.entities.Kaznazaregistriran;
 import mk.ukim.finki.busngo.model.exceptions.UserShouldNotBeTicketedException;
@@ -10,3 +11,5 @@
 
     Kaznazaregistriran create(Long kontrolaId, String dokument, Double iznos, Long patnik, String email) throws UserShouldNotBeTicketedException;
+    Kaznazaregistriran pay(Long kaznaId);
+    Kaznazaregistriran findById(Long id);
 }
Index: src/main/java/mk/ukim/finki/busngo/service/VozenjeService.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/VozenjeService.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/VozenjeService.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -2,4 +2,5 @@
 
 import mk.ukim.finki.busngo.model.entities.Vozenje;
+import mk.ukim.finki.busngo.model.enums.VOZENJE_STATUS;
 
 import java.util.List;
@@ -7,4 +8,5 @@
 public interface VozenjeService {
     List<Vozenje> findVozenjaByPatnik(String email);
+    List<Vozenje> findVozenjaByPatnikAndStatus(String email, VOZENJE_STATUS status);
     Vozenje start(String email, Long bId, Long pnlId, Long inlId);
     Vozenje end(Long vozenjeId, Long pnlId);
Index: src/main/java/mk/ukim/finki/busngo/service/impl/AuthServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/impl/AuthServiceImpl.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/impl/AuthServiceImpl.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -1,13 +1,21 @@
 package mk.ukim.finki.busngo.service.impl;
 
+import mk.ukim.finki.busngo.model.entities.Kondukter;
 import mk.ukim.finki.busngo.model.entities.Korisnik;
 import mk.ukim.finki.busngo.model.entities.Patnik;
+import mk.ukim.finki.busngo.model.entities.Vozac;
+import mk.ukim.finki.busngo.model.enums.VrabotenType;
 import mk.ukim.finki.busngo.model.exceptions.InvalidCredentialsException;
 import mk.ukim.finki.busngo.model.exceptions.UserAlreadyExistsException;
+import mk.ukim.finki.busngo.repository.KondukterRepository;
 import mk.ukim.finki.busngo.repository.KorisnikRepository;
 import mk.ukim.finki.busngo.repository.PatnikRepository;
-import mk.ukim.finki.busngo.service.AuthService;
+import mk.ukim.finki.busngo.repository.VozacRepository;
+import mk.ukim.finki.busngo.service.*;
 import org.springframework.security.crypto.password.PasswordEncoder;
 import org.springframework.stereotype.Service;
+
+import java.sql.Date;
+import java.time.LocalDate;
 
 @Service
@@ -15,10 +23,20 @@
     private final KorisnikRepository korisnikRepository;
     private final PatnikRepository patnikRepository;
+    private final VozacRepository vozacRepository;
+    private final KondukterRepository kondukterRepository;
     private final PasswordEncoder passwordEncoder;
+    private final PatnikService patnikService;
+    private final KondukterService kondukterService;
+    private final VozacService vozacService;
 
-    public AuthServiceImpl(KorisnikRepository korisnikRepository, PatnikRepository patnikRepository, PasswordEncoder passwordEncoder) {
+    public AuthServiceImpl(KorisnikRepository korisnikRepository, PatnikRepository patnikRepository, VozacRepository vozacRepository, KondukterRepository kondukterRepository, PasswordEncoder passwordEncoder, PatnikService patnikService, KondukterService kondukterService, VozacService vozacService) {
         this.korisnikRepository = korisnikRepository;
         this.patnikRepository = patnikRepository;
+        this.vozacRepository = vozacRepository;
+        this.kondukterRepository = kondukterRepository;
         this.passwordEncoder = passwordEncoder;
+        this.patnikService = patnikService;
+        this.kondukterService = kondukterService;
+        this.vozacService = vozacService;
     }
 
@@ -52,6 +70,60 @@
         korisnik.setKIsAdmin(false);
 
+        return patnikRepository.save(korisnik);
+    }
 
-        return patnikRepository.save(korisnik);
+    @Override
+    public Korisnik registerVraboten(String ime, String email, String password, String confirmPassword, String address, String telefon, VrabotenType type, Double salary) {
+        if (email == null || password == null || email.isEmpty() || password.isEmpty()) {
+            throw new InvalidCredentialsException();
+        }
+
+        if (!password.equals(confirmPassword)) {
+            throw new InvalidCredentialsException();
+        }
+
+        if(this.korisnikRepository.findByKEmail(email).isPresent()) {
+            throw new UserAlreadyExistsException(email);
+        }
+
+
+        switch (type){
+            case ADMIN:
+                Korisnik korisnik = new Korisnik();
+                korisnik.setKIme(ime);
+                korisnik.setKAdresa(address);
+                korisnik.setKLozinka(passwordEncoder.encode(password));
+                korisnik.setKEmail(email);
+                korisnik.setKTelefon(telefon);
+                korisnik.setKIsAdmin(true);
+                return korisnikRepository.save(korisnik);
+            case VOZAC:
+                Vozac vozac = new Vozac();
+                vozac.setKIme(ime);
+                vozac.setKAdresa(address);
+                vozac.setKLozinka(passwordEncoder.encode(password));
+                vozac.setKEmail(email);
+                vozac.setKTelefon(telefon);
+                vozac.setKIsAdmin(false);
+                vozac.setVPlata(salary);
+                vozac.setVDatumNaVrabotuvanje(Date.valueOf(LocalDate.now()));
+                this.korisnikRepository.save(vozac);
+
+                return vozacRepository.save(vozac);
+            case KONDUKTER:
+                Kondukter kondukter = new Kondukter();
+                kondukter.setKIme(ime);
+                kondukter.setKAdresa(address);
+                kondukter.setKLozinka(passwordEncoder.encode(password));
+                kondukter.setKEmail(email);
+                kondukter.setKTelefon(telefon);
+                kondukter.setKIsAdmin(false);
+                kondukter.setVPlata(salary);
+                kondukter.setVDatumNaVrabotuvanje(Date.valueOf(LocalDate.now()));
+                this.korisnikRepository.save(kondukter);
+
+                return kondukterRepository.save(kondukter);
+        }
+        return null;
     }
 
Index: src/main/java/mk/ukim/finki/busngo/service/impl/BiletServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/impl/BiletServiceImpl.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/impl/BiletServiceImpl.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -16,4 +16,5 @@
 import org.springframework.security.crypto.password.PasswordEncoder;
 import org.springframework.stereotype.Service;
+import org.thymeleaf.expression.Lists;
 
 import java.sql.Timestamp;
@@ -75,4 +76,13 @@
     }
 
+//    @Override
+//    public List<Bilet> findAllByPatnikEmailACTIVE(String email) {
+//        Patnik patnik = patnikService.loadUserByEmail(email);
+//        List<Bilet> allByKorisnikByPatnikKIdAndBStatus = biletRepository.findAllByKorisnikByPatnikKIdAndBStatus(patnik, BILET_STATUS.ACTIVE);
+//        List<Bilet> allByKorisnikByPatnikKIdAndBStatus1 = biletRepository.findAllByKorisnikByPatnikKIdAndBStatus(patnik, BILET_STATUS.INACTIVE);
+//        allByKorisnikByPatnikKIdAndBStatus1.addAll(allByKorisnikByPatnikKIdAndBStatus);
+//        return allByKorisnikByPatnikKIdAndBStatus1;
+//    }
+
     @Override
     public Bilet findBybIdAndPatnikEmail(Long bId, String email) {
Index: src/main/java/mk/ukim/finki/busngo/service/impl/InstancaNaLinijaServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/impl/InstancaNaLinijaServiceImpl.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/impl/InstancaNaLinijaServiceImpl.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -52,5 +52,6 @@
 
     @Override
-    public Instancanalinija end(Long inlId) {
+    public Instancanalinija end(Long inlId, String email) {
+        Vozac vozac = vozacService.findByEmail(email);
         Instancanalinija instancanalinija = this.findById(inlId);
         instancanalinija.setInlDatumEnd(Timestamp.valueOf(LocalDateTime.now()));
Index: src/main/java/mk/ukim/finki/busngo/service/impl/KaznaServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/impl/KaznaServiceImpl.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/impl/KaznaServiceImpl.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -8,4 +8,6 @@
 import org.springframework.stereotype.Service;
 
+import java.sql.Timestamp;
+import java.time.LocalDateTime;
 import java.util.List;
 
@@ -30,3 +32,16 @@
         return kaznaRepository.findAllByKontroliByKontrolaId(kontroli);
     }
+
+    @Override
+    public Kazna pay(Long kaznaId) {
+        Kazna kazna = this.findById(kaznaId);
+        kazna.setKzPlateno(true);
+        kazna.setKzDatumPlateno(Timestamp.valueOf(LocalDateTime.now()));
+        return kaznaRepository.save(kazna);
+    }
+
+    @Override
+    public Kazna findById(Long id) {
+        return kaznaRepository.findById(id).orElseThrow(RuntimeException::new);
+    }
 }
Index: src/main/java/mk/ukim/finki/busngo/service/impl/KaznaZaRegistriranServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/impl/KaznaZaRegistriranServiceImpl.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/impl/KaznaZaRegistriranServiceImpl.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -59,3 +59,18 @@
                 kontroli.getInstancanalinijaByInlId().getInlId()));
     }
+
+    @Override
+    public Kaznazaregistriran pay(Long kaznaId) {
+        Kaznazaregistriran kazna = this.findById(kaznaId);
+        if(!kazna.getKzPlateno()){
+            kazna.setKzPlateno(true);
+            kazna.setKzDatumPlateno(Timestamp.valueOf(LocalDateTime.now()));
+        }
+        return kaznaZaRegistriranRepository.save(kazna);
+    }
+
+    @Override
+    public Kaznazaregistriran findById(Long id) {
+        return kaznaZaRegistriranRepository.findById(id).orElseThrow(RuntimeException::new);
+    }
 }
Index: src/main/java/mk/ukim/finki/busngo/service/impl/VozenjeServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/service/impl/VozenjeServiceImpl.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/service/impl/VozenjeServiceImpl.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -33,4 +33,10 @@
         Patnik patnik = patnikService.loadUserByEmail(email);
         return vozenjeRepository.findAllByKorisnikByPatnikKId(patnik);
+    }
+
+    @Override
+    public List<Vozenje> findVozenjaByPatnikAndStatus(String email, VOZENJE_STATUS status) {
+        Patnik patnik = patnikService.loadUserByEmail(email);
+        return vozenjeRepository.findAllByKorisnikByPatnikKIdAndAndVozenjeStatus(patnik, status);
     }
 
Index: src/main/java/mk/ukim/finki/busngo/web/BiletController.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/web/BiletController.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/web/BiletController.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -41,4 +41,5 @@
         Patnik patnik = null;
         try{
+            patnik = patnikService.loadUserByEmail(authentication.getName());
             model.addAttribute("bileti", biletService.findAllByPatnikEmail(authentication.getName()));
         }
Index: src/main/java/mk/ukim/finki/busngo/web/InstancaNaLinijaController.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/web/InstancaNaLinijaController.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/web/InstancaNaLinijaController.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -71,6 +71,7 @@
 
     @PostMapping("/{inlId}/end")
-    public String endInstanca(@PathVariable Long inlId){
-        Instancanalinija ended = instancaNaLinijaService.end(inlId);
+    public String endInstanca(@PathVariable Long inlId,
+                              Authentication authentication){
+        Instancanalinija ended = instancaNaLinijaService.end(inlId, authentication.getName());
         return "redirect:/instanca-na-linija/" + ended.getInlId();
     }
Index: src/main/java/mk/ukim/finki/busngo/web/KaznaController.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/web/KaznaController.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/web/KaznaController.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -9,4 +9,6 @@
 import org.springframework.ui.Model;
 import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PathVariable;
+import org.springframework.web.bind.annotation.PostMapping;
 import org.springframework.web.bind.annotation.RequestMapping;
 
@@ -37,3 +39,11 @@
         return "master-template";
     }
+
+    @PostMapping("/{id}/pay")
+    public String pay(@PathVariable Long id,
+                      Model model){
+        kaznaZaRegistriranService.pay(id);
+        return "redirect:/kazna";
+    }
+
 }
Index: src/main/java/mk/ukim/finki/busngo/web/RegisterController.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/web/RegisterController.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/web/RegisterController.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -2,4 +2,5 @@
 
 import mk.ukim.finki.busngo.model.entities.Korisnik;
+import mk.ukim.finki.busngo.model.enums.VrabotenType;
 import mk.ukim.finki.busngo.model.exceptions.InvalidCredentialsException;
 import mk.ukim.finki.busngo.model.exceptions.UserAlreadyExistsException;
@@ -34,4 +35,6 @@
         }
 
+        model.addAttribute("types", VrabotenType.values());
+
         model.addAttribute("bodyContent", "register");
         return "master-template";
@@ -44,9 +47,16 @@
                            @RequestParam String confirmPassword,
                            @RequestParam String address,
-                           @RequestParam String phone
-    ) {
+                           @RequestParam String phone,
+                           @RequestParam(required = false)VrabotenType vrabotenType,
+                           @RequestParam(required = false) Double salary
+                           ) {
         try{
-            Korisnik korisnik = this.authService.registerPatnik(name, email, password, confirmPassword, address, phone);
-            this.patnikService.save(korisnik);
+            Korisnik korisnik;
+            if(vrabotenType != null){
+                 korisnik = this.authService.registerVraboten(name, email, password, confirmPassword, address, phone, vrabotenType, salary);
+
+            }
+            else
+                korisnik = this.authService.registerPatnik(name, email, password, confirmPassword, address, phone);
             return "redirect:/login";
         } catch (InvalidCredentialsException | UserAlreadyExistsException exception) {
Index: src/main/java/mk/ukim/finki/busngo/web/VozenjeController.java
===================================================================
--- src/main/java/mk/ukim/finki/busngo/web/VozenjeController.java	(revision bde8b1381c72e66b4414f8010493f3f189b15c03)
+++ src/main/java/mk/ukim/finki/busngo/web/VozenjeController.java	(revision 4251327f208328dfc9df9dfa02b324ada0ced20a)
@@ -4,4 +4,5 @@
 import mk.ukim.finki.busngo.model.entities.Patnik;
 import mk.ukim.finki.busngo.model.entities.Vozenje;
+import mk.ukim.finki.busngo.model.enums.VOZENJE_STATUS;
 import mk.ukim.finki.busngo.model.exceptions.InvalidPatnikIdException;
 import mk.ukim.finki.busngo.model.exceptions.InvalidPostojkaNaLinijaIdException;
@@ -29,9 +30,14 @@
     @GetMapping()
     public String getVozenjePage(Model model,
-                                 Authentication authentication){
+                                 Authentication authentication,
+                                 @RequestParam(required = false) VOZENJE_STATUS status){
         model.addAttribute("bodyContent", "listVozenja");
         Patnik patnik = null;
         try{
-            model.addAttribute("vozenja", vozenjeService.findVozenjaByPatnik(authentication.getName()));
+            if(status != null)
+                model.addAttribute("vozenja", vozenjeService.findVozenjaByPatnikAndStatus(authentication.getName(), status));
+            else
+                model.addAttribute("vozenja", vozenjeService.findVozenjaByPatnikAndStatus(authentication.getName(), VOZENJE_STATUS.ACTIVE));
+            model.addAttribute("vozStatus", VOZENJE_STATUS.values());
         }
         catch (InvalidPatnikIdException e){