Index: src/main/java/com/example/autopartz/controller/HomeController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/HomeController.java	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/java/com/example/autopartz/controller/HomeController.java	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -3,4 +3,5 @@
 import com.example.autopartz.model.User;
 import com.example.autopartz.repository.PartsForCarTypeAndCategoryRepository;
+import com.example.autopartz.repository.RepairShopReviewSummaryRepository;
 import com.example.autopartz.service.CarService;
 import com.example.autopartz.service.CategoryService;
@@ -22,6 +23,7 @@
     private final CarService carService;
     private final CategoryService categoryService;
+    private final RepairShopReviewSummaryRepository repairShopReviewSummaryRepository;
 
-    public HomeController(LoginService loginService, PartService partService, PartsForCarTypeAndCategoryRepository partsForCarTypeAndCategoryRepository, CarService carService, CategoryService categoryService) {
+    public HomeController(LoginService loginService, PartService partService, PartsForCarTypeAndCategoryRepository partsForCarTypeAndCategoryRepository, CarService carService, CategoryService categoryService, RepairShopReviewSummaryRepository repairShopReviewSummaryRepository) {
         this.loginService = loginService;
         this.partService = partService;
@@ -29,12 +31,24 @@
         this.carService = carService;
         this.categoryService = categoryService;
+        this.repairShopReviewSummaryRepository = repairShopReviewSummaryRepository;
     }
 
     @GetMapping()
     public String getHomePage(Model model){
+        model.addAttribute("bodyContent","home");
+        return "master-template";
+    }
+    @GetMapping("/products")
+    public String getProducts(Model model){
         model.addAttribute("parts",partService.findAll());
         model.addAttribute("cars",carService.findAll());
         model.addAttribute("categories",categoryService.findAll());
-        model.addAttribute("bodyContent","homepage");
+        model.addAttribute("bodyContent","products");
+        return "master-template";
+    }
+    @GetMapping("/services")
+    public String getServices(Model model){
+        model.addAttribute("services",repairShopReviewSummaryRepository.findAll());
+        model.addAttribute("bodyContent","services");
         return "master-template";
     }
Index: src/main/java/com/example/autopartz/controller/UserController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/UserController.java	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/java/com/example/autopartz/controller/UserController.java	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -15,19 +15,12 @@
 public class UserController {
     private final UserService userService;
-    private final RepairShopReviewSummaryRepository repairShopReviewSummaryRepository;
-
     private final OrdersForUserRepository ordersForUserRepository;
     private final RepairsForUserRepository repairsForUserRepository;
     private final ReviewsForUserRepository reviewsForUserRepository;
-    public UserController(UserService userService, RepairShopReviewSummaryRepository repairShopReviewSummaryRepository, OrdersForUserRepository ordersForUserRepository, RepairsForUserRepository repairsForUserRepository, ReviewsForUserRepository reviewsForUserRepository) {
+    public UserController(UserService userService, OrdersForUserRepository ordersForUserRepository, RepairsForUserRepository repairsForUserRepository, ReviewsForUserRepository reviewsForUserRepository) {
         this.userService = userService;
-        this.repairShopReviewSummaryRepository = repairShopReviewSummaryRepository;
         this.ordersForUserRepository = ordersForUserRepository;
         this.repairsForUserRepository = repairsForUserRepository;
         this.reviewsForUserRepository = reviewsForUserRepository;
-    }
-    @GetMapping("reportTest")
-    public List<RepairShopReviewsSummary> getRepairShopReport(){
-        return repairShopReviewSummaryRepository.findAll();
     }
     @GetMapping("usersTest")
Index: src/main/resources/templates/home.html
===================================================================
--- src/main/resources/templates/home.html	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
+++ src/main/resources/templates/home.html	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -0,0 +1,3 @@
+<div>
+  Почетна страница
+</div>
Index: src/main/resources/templates/homepage.html
===================================================================
--- src/main/resources/templates/homepage.html	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<div>
-<header>
-    <a th:href="${'/orders/4'}">Мои нарачки</a>
-    <a th:href="${'/repairs/4'}">Мои поправки</a>
-    <a th:href="${'/reviews/4'}">Мои критики</a>
-</header>
-<main>
-    <h1>Сите производи</h1>
-    <form th:action="@{/filtered}">
-        <label for="cartype"></label><select id="cartype" required name="cartype">
-            <option  th:each="car : ${cars}"
-                     th:text="${car.getCartype()}"
-                     th:value="${car.getCartype()}">
-            </option>
-        </select>
-        <label for="category"></label><select id="category" required name="category">
-            <option  th:each="cat : ${categories}"
-                     th:text="${cat.getCname()}"
-                     th:value="${cat.getCname()}">
-            </option>
-        </select>
-        <button type="submit">Филтрирај</button>
-    </form>
-    <table>
-        <thead>
-        <tr>
-            <th>Name</th>
-            <th>Manufacturer</th>
-            <th>Details</th>
-        </tr>
-        </thead>
-        <tbody>
-        <tr th:each="part : ${parts}">
-            <td th:text="${part.getName()}"></td>
-            <td th:text="${part.getManufacturer().getName()}"></td>
-            <td>
-                <form th:action="@{'/part/{id}' (id=${part.getId()}) }">
-                    <button type="submit">Детали</button>
-                </form>
-            </td>
-            </tr>
-        </tbody>
-    </table>
-</main>
-</div>
Index: src/main/resources/templates/products.html
===================================================================
--- src/main/resources/templates/products.html	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
+++ src/main/resources/templates/products.html	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -0,0 +1,45 @@
+<div>
+<header>
+    <a th:href="${'/orders/4'}">Мои нарачки</a>
+    <a th:href="${'/repairs/4'}">Мои поправки</a>
+    <a th:href="${'/reviews/4'}">Мои критики</a>
+</header>
+<main>
+    <h1>Сите производи</h1>
+    <form th:action="@{/filtered}">
+        <label for="cartype"></label><select id="cartype" required name="cartype">
+            <option  th:each="car : ${cars}"
+                     th:text="${car.getCartype()}"
+                     th:value="${car.getCartype()}">
+            </option>
+        </select>
+        <label for="category"></label><select id="category" required name="category">
+            <option  th:each="cat : ${categories}"
+                     th:text="${cat.getCname()}"
+                     th:value="${cat.getCname()}">
+            </option>
+        </select>
+        <button type="submit">Филтрирај</button>
+    </form>
+    <table>
+        <thead>
+        <tr>
+            <th>Name</th>
+            <th>Manufacturer</th>
+            <th>Details</th>
+        </tr>
+        </thead>
+        <tbody>
+        <tr th:each="part : ${parts}">
+            <td th:text="${part.getName()}"></td>
+            <td th:text="${part.getManufacturer().getName()}"></td>
+            <td>
+                <form th:action="@{'/part/{id}' (id=${part.getId()}) }">
+                    <button type="submit">Детали</button>
+                </form>
+            </td>
+            </tr>
+        </tbody>
+    </table>
+</main>
+</div>
Index: src/main/resources/templates/services.html
===================================================================
--- src/main/resources/templates/services.html	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
+++ src/main/resources/templates/services.html	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -0,0 +1,21 @@
+<div>
+  <main>
+    <h1>Информации за сервиси</h1>
+    <table>
+      <thead>
+      <tr>
+        <th>Name</th>
+        <th>Number of reviews</th>
+        <th>Average rating</th>
+      </tr>
+      </thead>
+      <tbody>
+      <tr th:each="service : ${services}">
+        <td th:text="${service.getRsname()}"></td>
+        <td th:text="${service.getReviewcount()}"></td>
+        <td th:text="${service.getReviewaverage()}"></td>
+      </tr>
+      </tbody>
+    </table>
+  </main>
+</div>