Index: target/classes/static/css/shared.css
===================================================================
--- target/classes/static/css/shared.css	(revision 3c0f9a97ce7897bbdf19cc016cc2edaede3e204c)
+++ target/classes/static/css/shared.css	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -52,5 +52,5 @@
 .bottom{
     position: absolute;
-    top: 80%;
+    top: 75%;
     margin:auto;
     width: 100%;
@@ -60,7 +60,15 @@
     background-color: rgba(0,0,0,0.25);
 }
-
-
-.bottom-heart{
+.bottom h3, .bottom span{
+    margin-bottom: 0px;
+    margin-top: 0px;
+}
+.bottom span{
+    font-size: 75%;
+    margin-top: 5px;
+}
+
+
+.elements .card .btn{
     top: 60%;
     left: auto;
@@ -105,2 +113,103 @@
     opacity: 0;
 }
+
+.person-movies-list{
+    margin: auto;
+    margin-top: 20px;
+    padding: 10px;
+    width: 80%;
+    background-color: rgba(52, 58, 64, 0.7);
+    border-radius: 10px;
+    transition: 200ms;
+    color: white;
+}
+
+.person-movies-list:hover{
+    background-color: rgba(52, 58, 64, 1);
+}
+
+.person-movies-list ul{
+    list-style-type: none;
+}
+
+.person-movies-list ul li{
+    color:black;
+    background-color: rgba(255,255,255,0.7);
+    padding: 12px;
+    font-size: 120%;
+    width: 80%;
+    text-align: center;
+    margin: auto;
+    transition: 200ms;
+    border-radius: 10px;
+    margin-bottom: 5px;
+    text-decoration: underline;
+}
+
+.person-movies-list hr{
+    color: white;
+    background-color: white;
+    border-color: white;
+}
+
+.person-movies-list ul li:hover{
+    background-color: rgba(255,255,255,1);
+    text-decoration-color: blue;
+}
+
+.genres-listing ul li:hover{
+    background-color: rgba(222,128,128,1);
+}
+
+.genres-listing ul li{
+    background-color: rgba(192,128,128,0.7);
+    text-decoration: none !important;
+}
+
+.person-movies-list ul li a{
+    color: black;
+    transition: 250ms;
+    text-decoration: underline;
+    text-decoration-color: black;
+}
+
+.person-movies-list ul li a:hover{
+    color:blue;
+}
+
+
+#admin-buttons a{
+    display: inline-block;
+    width: 95%;
+    margin: auto;
+    margin-top: 10px;
+    font-size: 125%;
+    clear: both;
+}
+
+#image-movie-section{
+    height: fit-content;
+    min-height: fit-content;
+}
+
+#likes-showcase{
+    background-color: rgba(192,128,128,0.7);
+    border-radius: 10px;
+    padding:10px;
+    width: 60%;
+    margin: auto;
+    transition: 200ms;
+    margin-top: 2%;
+}
+
+#likes-showcase strong{
+    font-size: 150%;
+}
+
+#likes-showcase:hover{
+    background-color: rgba(222,128,128,1);
+}
+
+.invisible-search{
+    display: none;
+}
Index: target/classes/static/js/sharedScript.js
===================================================================
--- target/classes/static/js/sharedScript.js	(revision 3c0f9a97ce7897bbdf19cc016cc2edaede3e204c)
+++ target/classes/static/js/sharedScript.js	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -4,5 +4,5 @@
     var elements = $(".elements")
     var elementGrade;
-
+    var first_time = true;
 
     $("#button-add").on("click", function (){
@@ -56,10 +56,10 @@
     $(".button-add-grade-movie").on("click",function (){
         elementGrade = $(this)
-        urlRating ="api/movies/grade/"+$(this).attr("movie-id")
+        urlRating ="/api/movies/grade/"+$(this).attr("movie-id")
         $("#dialog-rating").dialog("open")
     })
     $(".button-add-grade-person").on("click",function (){
         elementGrade = $(this)
-        urlRating ="api/persons/grade/"+$(this).attr("person-id")
+        urlRating ="/api/persons/grade/"+$(this).attr("person-id")
         $("#dialog-rating").dialog("open")
     })
@@ -81,14 +81,32 @@
     })*/
 
+    $("#button_toggle_filters").on("click", function (){
+        if(first_time){
+            $("#filters_div").removeClass("invisible-search")
+            first_time=false
+        }
+        else
+            $("#filters_div").fadeToggle();
+    })
 
    $(".search-button").on("click",function () {
-        let filter = $("#searchGenre").val()
+       elements = $(".elements")
+       let filter = $("#searchGenre").val()
+       console.log('\''+filter+'\'')
+       console.log(elements)
+       if(filter.length==0){
+           console.log("HERE")
+           for (let item of elements) {
+               $(item).removeClass("visibility")
+           }
+       }
        for (let item of elements) {
-            let genre = $(item).find(".card-genre")
+           $(item).removeClass("visibility")
+            let genre = $(item).children(".card-genre")
             let visible = false;
-
+            console.log(genre.length)
             for (let g of genre) {
-
-                if (( $(g).text().toLowerCase() === filter.toLowerCase() && !$(g).hasClass("visibility") && filter.trim().length != 0)) {
+                if (( $(g).text().toLowerCase() === filter.toLowerCase())){
+                    console.log(item.text + ' ' + $(g).text())
                     visible = true
                     $(item).removeClass("visibility")
@@ -96,8 +114,7 @@
                 }
             }
-            if (!visible && filter.trim().length != 0)
+            if(!visible){
                 $(item).addClass("visibility")
-            else
-                $(item).removeClass("visibility")
+            }
 
         }
@@ -106,15 +123,15 @@
     $(".button-delete-movie").on("click",function (){
         let button = $(this)
-        let url = "api/movies/delete/" + $(button).attr("movie-id")
+        let url = "/api/movies/delete/" + $(button).attr("movie-id")
         ajaxCallDelete(url,button)
     })
     $(".button-delete-actor").on("click",function (){
         let button = $(this)
-        let url  = "api/persons/delete/" + $(button).attr("person-id")
+        let url  = "/api/persons/delete/" + $(button).attr("person-id")
         ajaxCallDelete(url,button)
     })
     $(".button-delete-discussion").on("click",function (){
         let button = $(this)
-        let url = "api/discussions/delete/" + $(button).attr("discussion-id")
+        let url = "/api/discussions/delete/" + $(button).attr("discussion-id")
         ajaxCallDelete(url,button)
     })
@@ -139,21 +156,41 @@
     $(document.body).on("click",".button-add-favourite-list",function (){
         let button = $(this)
-        let url = "api/movies/like/"+ $(this).attr("movie-id") + "?userId="+ $(this).attr("user-id")
+        let url = "/api/movies/like/"+ $(this).attr("movie-id") + "?userId="+ $(this).attr("user-id")
         ajaxCallLike(url,button,'like','Веќе е филмот допаднат!')
     })
     $(document.body).on("click",".button-remove-favourite-list",function (){
         let button = $(this)
-        let url = "api/movies/unlike/"+ $(this).attr("movie-id")+"?userId="+ $(this).attr("user-id")
+        let url = "/api/movies/unlike/"+ $(this).attr("movie-id")+"?userId="+ $(this).attr("user-id")
         ajaxCallLike(url,button,'unlike','Немате оставено допаѓање на филмот!')
     })
     $(document.body).on("click",".button-add-genre-liked-list",function (){
         let button = $(this)
-        let url = "api/genres/like/"+ $(this).attr("genre-id") + "?userId="+ $(this).attr("user-id")
+        let url = "/api/genres/like/"+ $(this).attr("genre-id") + "?userId="+ $(this).attr("user-id")
         ajaxCallLikeGenre(url,button,'like','Веќе ви се допаѓа жанрот!')
     })
     $(document.body).on("click",".button-remove-genre-liked-list",function (){
         let button = $(this)
-        let url = "api/genres/unlike/"+ $(this).attr("genre-id")+"?userId="+ $(this).attr("user-id")
+        let url = "/api/genres/unlike/"+ $(this).attr("genre-id")+"?userId="+ $(this).attr("user-id")
         ajaxCallLikeGenre(url,button,'unlike','Немате оставено допаѓање на жанрот!')
+    })
+    $(document.body).on("click",".button-like-discussion",function (){
+        let button = $(this)
+        let url = "/api/discussions/like/"+ $(this).attr("discussion-id")+"?userId="+ $(this).attr("user-id")
+        ajaxCallLikeDiscussion(url,button,'like','Веќе имате оставено допаѓање на дискусијата!')
+    })
+    $(document.body).on("click",".button-unlike-discussion",function (){
+        let button = $(this)
+        let url = "/api/discussions/unlike/"+ $(this).attr("discussion-id")+"?userId="+ $(this).attr("user-id")
+        ajaxCallLikeDiscussion(url,button,'unlike','Немате оставено допаѓање на дискусијата!')
+    })
+    $(document.body).on("click",".button-like-discussion-alt",function (){
+        let button = $(this)
+        let url = "/api/discussions/like/"+ $(this).attr("discussion-id")+"?userId="+ $(this).attr("user-id")
+        ajaxCallLikeDiscussionAlternative(url,button,'like','Веќе имате оставено допаѓање на дискусијата!')
+    })
+    $(document.body).on("click",".button-unlike-discussion-alt",function (){
+        let button = $(this)
+        let url = "/api/discussions/unlike/"+ $(this).attr("discussion-id")+"?userId="+ $(this).attr("user-id")
+        ajaxCallLikeDiscussionAlternative(url,button,'unlike','Немате оставено допаѓање на дискусијата!')
     })
     $(".discussion-type").change(function (){
@@ -189,11 +226,17 @@
                 let movieId=$(button).attr("movie-id")
                 if (type==='like') {
-                    $(button).parent().append("<a class='bottom-heart btn btn-danger button-remove-favourite-list' movie-id=" + movieId + " user-id=" + userId + ">💔</a>")
+                    $(button).parent().append("<a class='btn btn-danger button-remove-favourite-list' movie-id=" + movieId + " user-id=" + userId + ">💔</a>")
                     console.log("da")
                 }
                 else{
-                    $(button).parent().append("<a class='bottom-heart btn btn-success button-add-favourite-list' movie-id=" + movieId + " user-id=" + userId + ">❤</a>")
-
-                }
+                    $(button).parent().append("<a class='btn btn-success button-add-favourite-list' movie-id=" + movieId + " user-id=" + userId + ">❤</a>")
+                }
+                likes_count = $("#movie_likes_count")
+                count = Number($(likes_count).text())
+                if(type==="like")
+                    count++
+                else
+                    count--
+                likes_count.text(count)
                 $(button).remove()
             }
@@ -263,4 +306,87 @@
 
 
+
+
+function ajaxCallLikeDiscussion(url,button,type,message){
+    $.ajax({
+        url:url,
+        success:function (data){
+            if (data){
+                let el = $(button).parent().siblings().eq(3)
+                console.log(el)
+                if (type=="like") {
+                    $(el).html(parseInt($(el).text()) + 1)
+                    console.log("da")
+                }
+                else
+                    $(el).html(parseInt($(el).text()) - 1)
+                $(button).css("display","none")
+                let userId = $(button).attr("user-id")
+                let discussionId=$(button).attr("discussion-id")
+                if (type==='like') {
+                    $(button).parent().append("<a class='btn btn-danger button-unlike-discussion' discussion-id=" + discussionId + " user-id=" + userId + ">💔</a>")
+                    console.log("da")
+                }
+                else{
+                    $(button).parent().append("<a class='btn btn-success button-like-discussion' discussion-id=" + discussionId + " user-id=" + userId + ">❤</a>")
+                }
+                var likes_count = $("#likes_count")
+                var count = Number($(likes_count).text())
+                if(type==='like')
+                    count += 1
+                else
+                    count -= 1
+                $(likes_count).text(count);
+                $(button).remove()
+            }
+            else {
+                $(button).parent().append("<div>" + message +" <button class='button-confirm'>Ок</button></div>")
+            }
+        }
+    })
+}
+
+
+
+function ajaxCallLikeDiscussionAlternative(url,button,type,message){
+    $.ajax({
+        url:url,
+        success:function (data){
+            if (data){
+                let el = $(button).parent().siblings().eq(3)
+                console.log(el)
+                if (type=="like") {
+                    $(el).html(parseInt($(el).text()) + 1)
+                    console.log("da")
+                }
+                else
+                    $(el).html(parseInt($(el).text()) - 1)
+                $(button).css("display","none")
+                let userId = $(button).attr("user-id")
+                let discussionId=$(button).attr("discussion-id")
+                if (type==='like') {
+                    $(button).parent().append("<a class='btn btn-danger button-unlike-discussion-alt' discussion-id=" + discussionId + " user-id=" + userId + ">💔</a>")
+                    console.log("da")
+                }
+                else{
+                    $(button).parent().append("<a class='btn btn-success button-like-discussion-alt' discussion-id=" + discussionId + " user-id=" + userId + ">❤</a>")
+                }
+                var likes_count = $(button).parent().siblings(".likes_count").first()
+                var count = Number(likes_count.text())
+                if(type==='like')
+                    count += 1
+                else
+                    count -= 1
+                $(likes_count).text(count);
+                $(button).remove()
+            }
+            else {
+                $(button).parent().append("<div>" + message +" <button class='button-confirm'>Ок</button></div>")
+            }
+        }
+    })
+}
+
+
 function  ajaxCallRating(url,button,type){
     model = {