Index: sources/app/src/main/java/parkup/controllers/RegisteredUserController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
+++ sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision 37533567f7e1b6d6b62d69ae0dce3cb41c76822b)
@@ -61,5 +61,8 @@
         return this.registeredUserService.addTablica(regParkId,plate);
     }
-
+    @GetMapping({"/registiranParkirac/tablici"})
+    public List<String> getTabliciFromUser(){
+        return this.registeredUserService.getTablici();
+    }
     @DeleteMapping({"/registriranParkirac/{regParkId}/tablici"})
     public RegisteredUser deleteTablicaFromUser(@PathVariable int regParkId, @RequestBody Plate plate){
Index: sources/app/src/main/java/parkup/entities/Guest.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Guest.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
+++ sources/app/src/main/java/parkup/entities/Guest.java	(revision 37533567f7e1b6d6b62d69ae0dce3cb41c76822b)
@@ -22,5 +22,5 @@
             initialValue = 400
     )
-    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
+    @GeneratedValue(
             strategy = GenerationType.SEQUENCE,
             generator = "guest_sequence_generator"
@@ -29,5 +29,4 @@
     private int guestId;
 
-    //dali ova treba vaka?
     @OneToOne
     @JoinColumn(name = "tablickaId", nullable = false)
@@ -40,4 +39,7 @@
     private String mobile;
 
+    @Column(name = "password")
+    private String password;
+
     @OneToOne
     private ParkingSession session;
@@ -49,8 +51,9 @@
     public Guest() {this.role=UserRole.ROLE_USER;}
 
-    public Guest(int guestId, Plate plate, String email, String mobile) {
+    public Guest(int guestId, Plate plate,String password, String email, String mobile) {
         this.guestId = guestId;
         this.plate = plate;
         this.email = email;
+        this.password=password;
         this.mobile = mobile;
         this.role=UserRole.ROLE_USER;
@@ -118,4 +121,16 @@
     }
 
+    public Plate getPlate() {
+        return plate;
+    }
+
+    public void setPlate(Plate plate) {
+        this.plate = plate;
+    }
+
+    public void setPassword(String password) {
+        this.password = password;
+    }
+
     @Override
     public String getPassword() {
Index: sources/app/src/main/java/parkup/services/GuestService.java
===================================================================
--- sources/app/src/main/java/parkup/services/GuestService.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
+++ sources/app/src/main/java/parkup/services/GuestService.java	(revision 37533567f7e1b6d6b62d69ae0dce3cb41c76822b)
@@ -4,4 +4,5 @@
 import java.util.Optional;
 import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
 import parkup.entities.Guest;
@@ -11,8 +12,10 @@
 public class GuestService {
     private final GuestRepository guestRepository;
+    private final BCryptPasswordEncoder passwordEncoder;
 
     @Autowired
-    public GuestService(GuestRepository guestRepository) {
+    public GuestService(GuestRepository guestRepository, BCryptPasswordEncoder passwordEncoder) {
         this.guestRepository = guestRepository;
+        this.passwordEncoder = passwordEncoder;
     }
 
@@ -31,5 +34,5 @@
             throw new IllegalStateException("Email already taken, try adding a guest with a different valid email address");
         } else {
-            System.out.println(guest);
+//            guest.setPassword(passwordEncoder.encode(Math.random()));
             this.guestRepository.save(guest);
         }
Index: sources/app/src/main/java/parkup/services/RegisteredUserService.java
===================================================================
--- sources/app/src/main/java/parkup/services/RegisteredUserService.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
+++ sources/app/src/main/java/parkup/services/RegisteredUserService.java	(revision 37533567f7e1b6d6b62d69ae0dce3cb41c76822b)
@@ -6,7 +6,9 @@
 import java.util.Optional;
 import java.util.UUID;
+import java.util.stream.Collectors;
 import javax.transaction.Transactional;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.data.jpa.repository.Modifying;
+import org.springframework.security.core.Authentication;
 import org.springframework.security.core.userdetails.UserDetails;
 import org.springframework.security.core.userdetails.UserDetailsService;
@@ -14,4 +16,5 @@
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
+import parkup.ParkUpApplication;
 import parkup.configs.email.EmailValidator;
 import parkup.configs.token.ConfirmationTokenRP;
@@ -163,3 +166,8 @@
         return user;
     }
+
+    public List<String> getTablici() {
+        Authentication role = ParkUpApplication.getToken();
+        return registeredUserRepository.findRegisteredUserByEmail(role.getName()).get().getPlates().stream().map(Plate::getPlate).collect(Collectors.toList());
+    }
 }