Index: src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoom.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoom.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoom.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -24,9 +24,9 @@
     @Id
     @Column(name ="id_projection")
-    Integer id_projection;
+    Integer idprojection;
 
     @Id
     @Column(name ="id_room")
-    Integer id_room;
+    Integer idroom;
 
 
Index: src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoomId.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoomId.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoomId.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -7,5 +7,5 @@
 @Data
 public class ProjectionIsPlayedInRoomId implements Serializable {
-    Integer id_projection;
-    Integer id_room;
+    Integer idprojection;
+    Integer idroom;
 }
Index: src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -10,5 +10,5 @@
 
 public interface ProjectionIsPlayedInRoomRepository extends JpaRepository<ProjectionIsPlayedInRoom, ProjectionIsPlayedInRoomId> {
-    @Query("SELECT pir FROM ProjectionIsPlayedInRoom pir WHERE pir.id_projection = :id_projection")
+    @Query("SELECT pir FROM ProjectionIsPlayedInRoom pir WHERE pir.idprojection = :id_projection")
     List<ProjectionIsPlayedInRoom> findAllByProjectionId(@Param("id_projection") Integer id_projection);
 }
Index: src/main/java/com/example/moviezone/repository/ProjectionRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/ProjectionRepository.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/repository/ProjectionRepository.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -3,10 +3,12 @@
 import com.example.moviezone.model.Projection;
 import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.data.jpa.repository.query.Procedure;
 
+import javax.transaction.Transactional;
 import java.time.LocalDate;
 import java.util.List;
-
+@Transactional
 public interface ProjectionRepository extends JpaRepository<Projection,Integer> {
-    //    NOTE: CHANGE THIS WITH MATERIALIZED VIEW
-    //List<Projection> findAllBydate_time_startBefore(LocalDate datum);
+    @Procedure("project.getProjectionsForFilms")
+    List<Projection> getProjectionsForFilms(int id);
 }
Index: src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -26,4 +26,9 @@
 
     @Override
+    public List<Projection> getProjectionsForFilms(int id) {
+        return projectionRepository.getProjectionsForFilms(id);
+    }
+
+    @Override
     public Projection findById(Integer id_projection) {
         return projectionRepository.findById(id_projection).orElseThrow(RuntimeException::new);
Index: src/main/java/com/example/moviezone/service/ProjectionService.java
===================================================================
--- src/main/java/com/example/moviezone/service/ProjectionService.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/service/ProjectionService.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -9,4 +9,5 @@
 public interface ProjectionService {
     List<Projection> findAllProjections();
+    List<Projection> getProjectionsForFilms(int id);
     Projection findById(Integer id_projection);
 Projection save(LocalDate date_time_start,LocalDate date_time_end, String type_of_technology, Integer id_film );
Index: src/main/java/com/example/moviezone/web/HomeController.java
===================================================================
--- src/main/java/com/example/moviezone/web/HomeController.java	(revision 90317eab09c9bb08660ecb5f90412ce8048f29b7)
+++ src/main/java/com/example/moviezone/web/HomeController.java	(revision 58675202baf48180a61747ec4b98b5c814a21466)
@@ -85,4 +85,14 @@
         model.addAttribute("event", event);
         model.addAttribute("bodyContent", "event");
+
+        return "master-template";
+    }
+    @GetMapping("/getProjections/{id}")
+    @Transactional
+    public String getProjectionsFromFilm(@PathVariable Long id, Model model) {
+        Film film=filmService.getFilmById(id).get();
+        model.addAttribute("film",film);
+        model.addAttribute("projections",projectionService.getProjectionsForFilms(id.intValue()));
+        model.addAttribute("bodyContent", "projectionsForFilm");
 
         return "master-template";
@@ -168,5 +178,5 @@
             model.addAttribute("films",filmService.getFilmsNow());
         }
-        model.addAttribute("bodyContent","films");
+        model.addAttribute("bodyContent","projections");
         return "master-template";
     }